javax.jnlp

## Class DownloadService2.ResourceSpec

- java.lang.Object
- - javax.jnlp.DownloadService2.ResourceSpec

Enclosing interface:
  DownloadService2

    public static class DownloadService2.ResourceSpec
    extends java.lang.Object

### Field Summary

Fields
`protected int` `type`
`static long` `UNKNOWN`
`protected java.lang.String` `url`
`protected java.lang.String` `version`

### Constructor Summary

Constructors
Constructor and Description
`DownloadService2.ResourceSpec(java.lang.String url, java.lang.String version, int type)`

### Method Summary

Methods
`long` `getExpirationDate()`
`long` `getLastModified()`
`long` `getSize()`
`int` `getType()`
`java.lang.String` `getUrl()`
`java.lang.String` `getVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final long UNKNOWN

See Also:
  Constant Field Values

#### url

    protected java.lang.String url

#### version

    protected java.lang.String version

#### type

    protected int type

### Constructor Detail

#### DownloadService2.ResourceSpec

    public DownloadService2.ResourceSpec(java.lang.String url,
                                 java.lang.String version,
                                 int type)

### Method Detail

#### getExpirationDate

    public long getExpirationDate()

#### getLastModified

    public long getLastModified()

#### getSize

    public long getSize()

#### getType

    public int getType()

#### getUrl

    public java.lang.String getUrl()

#### getVersion

    public java.lang.String getVersion()